Update Invoice Status
Push a payment status update for an existing IRN.
Endpoint
POST /api/v1/invoice/{irn}/update
Headers
Content-Type:application/json
x-api-key: <your_api_key>
Path Parameters
| Parameter | Type | Description |
|---|---|---|
| irn | string | Invoice Reference Number to update. |
Request Body
{
"amount": 2150,
"payment_status": "PAID"
}
Response
{
"success": "true",
"message": "Invoice udated successfully",
"data": {
"ok": true,
},
}
Validation Error Example
{
"success": "false",
"message": "Validation error",
"errors": {
[]
},
}
Notes
irnmust reference an existing invoice.payment_statusshould contain a valid invoice payment state.- The update request is forwarded upstream to eTranzact.
- Validation errors are returned if the IRN or status is invalid.